import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)

/**
 * Represents a note in a song.
 * 
 * @author Ed Parrish 
 * @version 1.0  11/15/2010
 */
public class Note  
{
    private Key key;
    private int startTick;
    private int duration;

    /**
     * Constructor for objects of class Note
     */
    public Note(Key newKey, int startCount, int dur)
    {
        key = newKey;
        startTick = startCount;
        duration = dur;
    }

    /**
     * Returns the start tick.
     * @return     the start tick 
     */
    public int getStartTick()
    {
        return startTick;
    }

    /**
     * Returns the duration count.
     * 
     * @return the duration count 
     */
    public int getDuration()
    {
        return duration;
    }

    /**
     * An example of a method - replace this comment with your own
     * 
     * @param  numTicks   the number of elapsed clock ticks
     */
    public void play(int numTicks)
    {
        if (numTicks == startTick) // begin
        {
            key.play();
        }
        if (numTicks == startTick + duration) // end
        {
            key.stop();
        }
    }

    /**
     * Stop playing this Note.
     */
    public void stop()
    {
        key.stop();
    }
}
