import java.util.ArrayList;
import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Automatically plays songs on the piano.
 * 
 * @author Ed Parrish
 * @version 1.0  11/15/2010
 */
public class SongPlayer extends Actor
{
    private ArrayList<Song> songList;
    private Song song;

    /**
     * Create a new Song.
     */
    public SongPlayer()
    {
        songList = new ArrayList<Song>();
    }

    /**
     * Checks for keypress to activate the player and updates
     * the songs progress.
     */
    public void act() 
    {
        checkKeyPress();
        if (song != null)
        {
            song.update();
            if (!song.isPlaying())
            {
                song = null;
            }
        }
    }

    /**
     * Add a Note to the song
     * 
     * @param newNote the note to add
     */
    public void addSong(Song newSong)
    {
        songList.add(newSong);
    }

    /**
     * Check if a control key has been pressed and reacts.
     */
    public void checkKeyPress() {
        for (int i = 0; i < songList.size(); i++)
        {
            if (Greenfoot.isKeyDown("" + (i + 1)))
            {
                if (song != null) 
                {
                    song.stop();
                }
                song = songList.get(i);
                song.play((Piano) getWorld());
            }
        }
    }
}
